# 
# Synthesis run script generated by Vivado
# 

set TIME_start [clock seconds] 
proc create_report { reportName command } {
  set status "."
  append status $reportName ".fail"
  if { [file exists $status] } {
    eval file delete [glob $status]
  }
  send_msg_id runtcl-4 info "Executing : $command"
  set retval [eval catch { $command } msg]
  if { $retval != 0 } {
    set fp [open $status w]
    close $fp
    send_msg_id runtcl-5 warning "$msg"
  }
}
create_project -in_memory -part xc7z020clg484-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir /home/mounir/HardBlare/hw_vivado/IPs/Packages/PL_to_PS/PL_to_PS.cache/wt [current_project]
set_property parent.project_path /home/mounir/HardBlare/hw_vivado/IPs/Packages/PL_to_PS/PL_to_PS.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property board_part em.avnet.com:zed:part0:1.2 [current_project]
set_property ip_repo_paths {
  /home/mounir/HardBlare/hw_vivado/IPs/Packages/PL_to_PS_1.0
  /home/mounir/HardBlare/hw_vivado/IPs/Packages/PL_to_PS_1.0
  /home/mounir/HardBlare/hw_vivado/ip_repo/PL_to_PS_IRQ_1.0
  /home/mounir/HardBlare/hw_vivado/IPs/Packages/PL_to_PS_IRQ_1.0
  /home/mounir/HardBlare/hw_vivado/ip_repo/myip_1.0
  /home/mounir/HardBlare/hw_vivado/IPs
  /home/mounir/HardBlare/hw_vivado/tmc_project/tmc_project.ipdefs/rest_gen_0
  /home/mounir/HardBlare/hw_vivado/tmc_project/tmc_project.ipdefs/instrumentation_ip_1.0
  /home/mounir/HardBlare/hw_vivado/tmc_project/tmc_project.ipdefs/AXI_master2_0
  /home/mounir/HardBlare/hw_vivado/tmc_project/tmc_project.ipdefs/mips_ip_0
  /home/mounir/HardBlare/hw_vivado/tmc_project/tmc_project.ipdefs/mem_ctl_0_0
  /home/mounir/Downloads/tmc_project/tmc_project.srcs/sources_1/bd/design_1/ip/design_1_decodeur_traces_0_0
  /home/mounir/HardBlare/hw_vivado/tmc_project/tmc_project.srcs
  /home/mounir/HardBlare/hw_vivado/tmc_project/tmc_project.ipdefs
  /home/mounir/HardBlare/hw_vivado/IPs/Packages/decodeur_traces_v1_0_project
  /home/mounir/HardBlare/hw_vivado/IPs/Packages/PLtoPS
} [current_project]
set_property ip_output_repo /home/mounir/HardBlare/hw_vivado/IPs/Packages/PL_to_PS/PL_to_PS.cache/ip [current_project]
set_property ip_cache_permissions {read write} [current_project]
read_vhdl -library xil_defaultlib {
  /home/mounir/HardBlare/hw_vivado/IPs/Sources/PLtoPS/PL_to_PS_S00_AXI.vhd
  /home/mounir/HardBlare/hw_vivado/IPs/Sources/PLtoPS/PL_to_PS_S_AXI_INTR.vhd
  /home/mounir/HardBlare/hw_vivado/IPs/Sources/PLtoPS/PL_to_PS.vhd
}
# Mark all dcp files as not used in implementation to prevent them from being
# stitched into the results of this synthesis run. Any black boxes in the
# design are intentionally left as such for best results. Dcp files will be
# stitched into the design at a later time, either when this synthesis run is
# opened, or when it is stitched into a dependent implementation run.
foreach dcp [get_files -quiet -all -filter file_type=="Design\ Checkpoint"] {
  set_property used_in_implementation false $dcp
}
set_param ips.enableIPCacheLiteLoad 0
close [open __synthesis_is_running__ w]

synth_design -top PL_to_PS -part xc7z020clg484-1


# disable binary constraint mode for synth run checkpoints
set_param constraints.enableBinaryConstraints false
write_checkpoint -force -noxdef PL_to_PS.dcp
create_report "synth_1_synth_report_utilization_0" "report_utilization -file PL_to_PS_utilization_synth.rpt -pb PL_to_PS_utilization_synth.pb"
file delete __synthesis_is_running__
close [open __synthesis_is_complete__ w]
